from phi.agent import Agent
from phi.tools.tavily import TavilyTools
from phi.model.google import Gemini  # ✅ Import Gemini Model

class TavilyAgent(Agent):
    def __init__(self):
        super().__init__(name="Tavily Agent")
        self.tools = [TavilyTools()]
        self.model = Gemini(id="gemini-1.5-flash")  # ✅ Set Gemini as the LLM
        self.show_tool_calls = True
        self.markdown = True

    def generate(self, prompt: str) -> str:
        return self.print_response(prompt, stream=True)
