from phi.agent import Agent
from phi.tools.duckduckgo import DuckDuckGo
from evoagent.llms.llms import GeminiLLM  # ✅ Use Gemini model

class WebAgent(Agent):
    def __init__(self):
        super().__init__(name="Web Agent")
        self.tools = [DuckDuckGo()]
        self.instructions = ["Always include sources"]
        self.model = GeminiLLM("gemini-1.5-flash")  # ✅ Replace OpenAI with Gemini
        self.show_tool_calls = True
        self.markdown = True

    def generate(self, prompt: str) -> str:
        return self.print_response(prompt, stream=True)
